Subject: Re: [PATCH RFC net-next] net: Allow name change of IFF_UP interfaces

From: Vitaly Kuznetsov <[email-masked]>
Date: Thu, 10 Aug 2017 17:24:55 +0200

Andrew Lunn <[email-masked]> writes:

>> We are - rtnetlink_event() does the job. We, however, don't have a
>> special IFLA_EVENT_* for name change and end up with IFLA_EVENT_NONE.
>
> What is in this event? Old and new name? Just the new name?

Basically, it's everything we know about the interface - type, index,
name, mtu, qdisc, ... - see rtnl_fill_ifinfo(). Back to your question -
it's only the new name.

-- 
  Vitaly